<nav class="visible-sm visible-xs m-x">
  <div class="top-sidebar">
    <ul class="list-inline">
      <li *ngFor="let sport of topmenu; let x = index">
        <div>
          <button class="btn-sidebar" (click)="toggle(sport.name, sport.id)">
            <i class="icofont-football-alt" *ngIf="sport.id == 1"></i>
            <!-- Soccer -->
            <i class="icofont-basketball" *ngIf="sport.id == 2"></i>
            <!-- basketball -->
            <i class="icofont-baseball" *ngIf="sport.id == 3"></i>
            <!-- baseball -->
            <i class="icofont-hockey" *ngIf="sport.id == 4"></i>
            <!-- ice hockey -->
            <i class="icofont-tennis" *ngIf="sport.id == 5"></i>
            <!-- tennis -->
            <i class="demo-icon icon-handball" *ngIf="sport.id == 6"
              >&#xe825;</i
            >
            <!-- handball -->
            <i class="demo-icon icon-cricket" *ngIf="sport.id == 10"
              >&#xe832;</i
            >
            <!-- boxing -->
            <i class="icofont-motor-biker" *ngIf="sport.id == 11"></i>
            <!-- motor-bike -->
            <i class="icofont-rugby" *ngIf="sport.id == 12"></i>
            <!-- rugby -->
            <i class="demo-icon icon-cricket" *ngIf="sport.id == 21"
              >&#xe802;</i
            >
            <!-- cricket -->
            <i class="icofont-volleyball" *ngIf="sport.id == 23"></i>
            <!-- volleyball -->

            <span *ngIf="translate.currentLang == 'en'">{{ sport.name }}</span>
            <span *ngIf="translate.currentLang == 'fr'">{{
              sport.french
            }}</span>
          </button>
        </div>
      </li>
    </ul>
  </div>
  <div class="menu-area">
    <div class="soccer sports-sidebar" *ngIf="show">
      <ul class="list-unstyled components">
        <li>
          <a>
            <i class="icofont-football-alt" *ngIf="mobilemenu.id == 1"></i>
            <!-- Soccer -->
            <i class="icofont-basketball" *ngIf="mobilemenu.id == 2"></i>
            <!-- basketball -->
            <i class="icofont-baseball" *ngIf="mobilemenu.id == 3"></i>
            <!-- baseball -->
            <i class="icofont-motor-biker" *ngIf="mobilemenu.id == 4"></i>
            <!-- ice hockey -->
            <i class="icofont-tennis" *ngIf="mobilemenu.id == 5"></i>
            <!-- tennis -->
            <i class="demo-icon icon-handball" *ngIf="mobilemenu.id == 6"
              >&#xe825;</i
            >
            <!-- handball -->
            <i class="demo-icon icon-cricket" *ngIf="mobilemenu.id == 10"
              >&#xe832;</i
            >
            <!-- boxing -->
            <i class="icofont-motor-biker" *ngIf="mobilemenu.id == 11"></i>
            <!-- motor-bike -->
            <i class="icofont-rugby" *ngIf="mobilemenu.id == 12"></i>
            <!-- rugby -->
            <i class="demo-icon icon-cricket" *ngIf="mobilemenu.id == 21"
              >&#xe802;</i
            >
            <!-- cricket -->
            <i class="icofont-volleyball" *ngIf="mobilemenu.id == 23"></i>
            <!-- volleyball -->
            <ng-container *ngIf="translate.currentLang == 'en'">
              {{ mobilemenu.name }}
            </ng-container>
            <ng-container *ngIf="translate.currentLang == 'fr'">
              {{ mobilemenu.french }}
            </ng-container>
          </a>
        </li>
        <li>
          <a (click)="getUpcomingGames(mobilemenu.id)">
            <i class="fa fa-angle-right" aria-hidden="true"></i>
            &nbsp;&nbsp;&nbsp;
            {{ "feeds.upcoming-games" | translate }}
          </a>
        </li>
        <li *ngIf="mobilemenu.id == 1">
          <a
            href="#top5l"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
          >
            <i class="fa fa-angle-right" aria-hidden="true"></i>
            &nbsp;&nbsp;&nbsp;
            {{ "feeds.top-5-leagues" | translate }}
          </a>
          <ul
            class="collapse list-unstyled"
            id="top5l"
            [ngClass]="{ 'add-scroll': top5.length > 7 }"
          >
            <li *ngFor="let league of top5">
              <a (click)="getLeagueGames(league.id)">
                <!-- <img
                  src="assets/gif/{{ league.country.country_code }}.gif"
                  alt=""
                />&nbsp; -->
                <ng-container *ngIf="translate.currentLang == 'en'">
                  {{ league.name }}
                </ng-container>
                <ng-container *ngIf="translate.currentLang == 'fr'">
                  {{ league.fr_name }}
                </ng-container>
              </a>
            </li>
          </ul>
        </li>
        <li>
          <a
            href="#sport{{ mobilemenu.id }}"
            data-toggle="collapse"
            aria-expanded="false"
            class="dropdown-toggle"
          >
            <i class="fa fa-angle-right" aria-hidden="true"></i>
            &nbsp;&nbsp;&nbsp;
            {{ "feeds.countries" | translate }}
          </a>
          <ul
            class="collapse list-unstyled"
            id="sport{{ mobilemenu.id }}"
            [ngClass]="{ 'add-scroll': mobilemenu.country.length > 7 }"
          >
            <li *ngFor="let country of mobilemenu.country">
              <a
                href="#ct{{ country.id }}"
                data-toggle="collapse"
                aria-expanded="false"
                class="dropdown-toggle"
              >
                <img
                  src="assets/gif/{{
                    country.code ? country.code : 'default'
                  }}.gif"
                  alt=""
                />
                &nbsp;
                <ng-container *ngIf="translate.currentLang == 'en'">
                  {{ country.name }}
                </ng-container>
                <ng-container
                  *ngIf="translate.currentLang == 'fr' && country.french != ''"
                >
                  {{ country.name }}
                </ng-container>
                <ng-container
                  *ngIf="translate.currentLang == 'fr' && country.french == ''"
                >
                  {{ country.name }}
                </ng-container>
              </a>
              <ul
                class="collapse list-unstyled"
                id="ct{{ country.id }}"
                [ngClass]="{ 'add-scroll': country.leagues.length > 6 }"
              >
                <li *ngFor="let league of country.leagues">
                  <a (click)="getLeagueGames(league.id)">
                    <i class="fa fa-angle-right" aria-hidden="true"></i>
                    &nbsp;&nbsp;
                    <ng-container *ngIf="translate.currentLang == 'en'">
                      {{ league.name }}
                    </ng-container>
                    <ng-container
                      *ngIf="
                        translate.currentLang == 'fr' && league.french != ''
                      "
                    >
                      {{ league.french }}
                    </ng-container>
                    <ng-container
                      *ngIf="
                        translate.currentLang == 'fr' && league.french == ''
                      "
                    >
                      {{ league.name }}
                    </ng-container>
                  </a>
                </li>
              </ul>
            </li>
          </ul>
        </li>
      </ul>
    </div>
  </div>
</nav>

<div class="main-carousel">
  <div id="myCarousel" class="carousel slide" data-ride="carousel">
    <!-- Indicators -->
    <ol class="carousel-indicators hidden-xs">
      <ng-container *ngIf="translate.currentLang == 'en'">
        <li
          *ngFor="let num of en_slides; let i = index"
          [attr.data-slide-to]="i"
          [ngClass]="{ active: i == 0 }"
          data-target="#myCarousel"
        ></li>
      </ng-container>
      <ng-container *ngIf="translate.currentLang == 'fr'">
        <li
          *ngFor="let num of fr_slides; let i = index"
          [attr.data-slide-to]="i"
          [ngClass]="{ active: i == 0 }"
          data-target="#myCarousel"
        ></li>
      </ng-container>
    </ol>

    <!-- Wrapper for slides -->
    <div class="carousel-inner">
      <ng-container
        *ngIf="translate.currentLang == 'en' && en_slides.length == 0"
      >
        <div class="item active">
          <img src="assets/images/Rahisibet-en.jpg" alt="en-rahisibet" />
        </div>
      </ng-container>

      <ng-container
        *ngIf="translate.currentLang == 'fr' && fr_slides.length == 0"
      >
        <div class="item active">
          <img src="assets/images/Rahisibet-fr.jpg" alt="fr-rahisibet" />
        </div>
      </ng-container>

      <ng-container
        *ngIf="translate.currentLang == 'en' && en_slides.length > 0"
      >
        <div
          class="item"
          *ngFor="let slides of en_slides; let i = index"
          [ngClass]="{ active: i == 0 }"
        >
          <img
            src="http://crm.rahisibet.com/storage/slides_uploads/{{
              slides.path
            }}"
            alt="{{ slides.path }}"
          />
        </div>
      </ng-container>

      <ng-container
        *ngIf="translate.currentLang == 'fr' && fr_slides.length > 0"
      >
        <div
          class="item"
          *ngFor="let slides of fr_slides; let i = index"
          [ngClass]="{ active: i == 0 }"
        >
          <img
            src="http://crm.rahisibet.com/storage/slides_uploads/{{
              slides.path
            }}"
            alt="{{ slides.path }}"
          />
        </div>
      </ng-container>
    </div>

    <!-- Left and right controls -->
    <a class="left carousel-control" href="#myCarousel" data-slide="prev">
      <span class="glyphicon glyphicon-chevron-left"></span>
      <span class="sr-only">Previous</span>
    </a>
    <a class="right carousel-control" href="#myCarousel" data-slide="next">
      <span class="glyphicon glyphicon-chevron-right"></span>
      <span class="sr-only">Next</span>
    </a>
  </div>
</div>
<div class="featured-search text-right visible-xs m-x">
  <form [formGroup]="myForm" novalidate class="form-inline custom">
    <div class="form-group">
      <my-date-picker
        name="mydate"
        [locale]="translate.currentLang"
        class="date"
        [options]="myDatePickerOptions"
        formControlName="myDate"
        (dateChanged)="onDateChanged($event)"
      ></my-date-picker>
    </div>
    <div class="form-group">
      <button class="btn as-pdf" (click)="generatePDF()">
        <i class="fa fa-print" aria-hidden="true"></i> &nbsp;&nbsp;
        {{ "feeds.download-pdf" | translate }}
      </button>
    </div>
  </form>
</div>
<div class="featured-header">
  <ul class="list-inline">
    <li>
      <span (click)="getTodayGames()">{{ "feeds.today" | translate }}</span>
    </li>
    <li>
      <a (click)="getUpcomingGames(markets.sport_id)">{{
        "feeds.upcoming" | translate
      }}</a>
    </li>
    <li>
      <a class="visible-xs" [routerLink]="['autobet']">{{
        "betslip-select.autobet" | translate
      }}</a>
    </li>
    <li>
      <a class="visible-xs" [routerLink]="['jackpot']">{{
        "betslip-select.mega-jackpot" | translate
      }}</a>
    </li>
  </ul>
  <div class="text-right hidden-xs">
    <form [formGroup]="myForm" novalidate class="form-inline text-right">
      <div class="form-group">
        <my-date-picker
          name="mydate"
          [locale]="translate.currentLang"
          class="date"
          [options]="myDatePickerOptions1"
          formControlName="myDate"
          (dateChanged)="onDateChanged($event)"
        >
        </my-date-picker>
      </div>
      <div class="form-group">
        <button class="btn as-pdf" (click)="generatePDF()">
          <i class="fa fa-print" aria-hidden="true"></i> &nbsp;&nbsp;
          {{ "feeds.download-pdf" | translate }}
        </button>
      </div>
    </form>
  </div>
</div>

<div class="loader text-center" *ngIf="load">
  <img
    src="assets/images/spinner.gif"
    alt=""
    style="width: 50px; height: 50px"
  />
</div>

<ng-container *ngIf="oddsfeed.length > 0">
  <!-- main row -->
  <div class="t-odds main-header hidden-xs">
    <div class="game-id-time" style="display: none"></div>
    <div class="teams"></div>
    <div class="main">
      <div>1X2</div>
    </div>
    <div class="main">
      <div>Double Chance</div>
    </div>
  </div>

  <div class="t-odds header hidden-xs">
    <div class="game-id-time"></div>
    <div class="teams">
      <div>Featured sports</div>
    </div>
    <div class="main">
      <div>1</div>
      <div>X</div>
      <div>2</div>
    </div>
    <div class="main">
      <div>1 {{ "feeds.or" | translate }} X</div>
      <div>1 {{ "feeds.or" | translate }} 2</div>
      <div>X {{ "feeds.or" | translate }} 2</div>
    </div>
  </div>

  <div class="t-odds match" *ngFor="let game of oddsfeed; let i = index">
    <div class="game-id-time">
      <div>
        {{ game.tournamanent }}
        <!-- <i class="fa fa-futbol-o" aria-hidden="true"></i>&nbsp;&nbsp;
        {{ "feeds.game-id" | translate }}: {{ game.game_id }} -->
      </div>
      <div>
        <i aria-hidden="true" class="fa fa-clock-o"></i>&nbsp;&nbsp;
        {{ game.scheduled | date : "dd/MM HH:mm" }}
      </div>
    </div>
    <div class="teams">
      <div class="teams-games">
        <i aria-hidden="true" class="fa fa-clock-o"></i>&nbsp;
        {{ game.scheduled | date : "dd/MM HH:mm" }} &nbsp;&nbsp;
        <i class="fa fa-futbol-o" aria-hidden="true"></i>&nbsp;{{
          "feeds.game-id" | translate
        }}: {{ game.game_id }}
      </div>
      <span class="">{{ game.home }}</span>
      <span class="">{{ game.away }}</span>
    </div>

    <ng-container *ngFor="let market of display.markets">
      <ng-container *ngIf="filterMarket(market.id, game)">
        <div class="main odds">
          <div>
            <ng-container
              *ngFor="
                let odd_values of filterMarket(market.id, game).odds;
                let y = index
              "
            >
              <div
                *ngIf="odd_values.outcomeId"
                (click)="
                  addToBetslip(
                    odd_values.outcomeId,
                    game.id,
                    odd_values.name,
                    odd_values.id
                  )
                "
                [ngClass]="{
                  selected: game.selected_odd_id == odd_values.id,
                  first: y == 0,
                  last: y == 2
                }"
              >
                {{ odd_values.odds | number : "1.2-2" }}
              </div>
            </ng-container>
          </div>
        </div>
      </ng-container>
    </ng-container>
  </div>

  <div class="text-center" *ngIf="oddsfeed.length > 0">
    <ul *ngIf="pager.pages && pager.pages.length" class="pagination">
      <li [ngClass]="{ disabled: pager.currentPage === 1 }">
        <a (click)="setPage(1, markets.sport_id)"
          ><i class="fa fa-angle-double-left" aria-hidden="true"></i
        ></a>
      </li>
      <li [ngClass]="{ disabled: pager.currentPage === 1 }">
        <a (click)="setPage(pager.currentPage - 1, markets.sport_id)"
          ><i class="fa fa-angle-left" aria-hidden="true"></i
        ></a>
      </li>
      <li
        *ngFor="let page of pager.pages"
        [ngClass]="{ active: pager.currentPage === page }"
      >
        <a (click)="setPage(page, markets.sport_id)">{{ page }}</a>
      </li>
      <li [ngClass]="{ disabled: pager.currentPage === pager.totalPages }">
        <a (click)="setPage(pager.currentPage + 1, markets.sport_id)"
          ><i class="fa fa-angle-right" aria-hidden="true"></i>
        </a>
      </li>
      <li [ngClass]="{ disabled: pager.currentPage === pager.totalPages }">
        <a (click)="setPage(pager.totalPages, markets.sport_id)"
          ><i class="fa fa-angle-double-right" aria-hidden="true"></i>
        </a>
      </li>
    </ul>
  </div>
</ng-container>

<div class="text-center" *ngIf="oddsfeed.length == 0 && !load">
  <div class="alert alert-info">
    {{ "feeds.feeds-notice" | translate
    }}<strong
      ><a (click)="getFeturedGames()"
        >&nbsp;&nbsp;{{ "feeds.upcoming-games" | translate }}</a
      ></strong
    >
  </div>
</div>
<!-- end of reusable widget -->
